Bug 1413734 - SELinux is preventing multiqueue0:src from 'read' accesses on the file mmap_min_addr.
Summary: SELinux is preventing multiqueue0:src from 'read' accesses on the file mmap_m...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:831daa411d0f19039a97a344599...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-16 20:35 UTC by guineabot
Modified: 2017-08-08 19:34 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:34:43 UTC
Type: ---


Attachments (Terms of Use)

Description guineabot 2017-01-16 20:35:34 UTC
Description of problem:
I have no idea how this problem happened. Sorry. It doesn't make any sense to me. However I am receiving an alert for the first time in over a year of using Fedora.
If this is serious I would definitely like to be informed. I've noticed bugs in my system... specifically in relation to firefox, letters and titles are getting skewed and coming out like greek or russian symbols
SELinux is preventing multiqueue0:src from 'read' accesses on the file mmap_min_addr.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that multiqueue0:src should be allowed read access on the mmap_min_addr file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'multiqueue0:src' --raw | audit2allow -M my-multiqueue0src
# semodule -X 300 -i my-multiqueue0src.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                system_u:object_r:sysctl_vm_t:s0
Target Objects                mmap_min_addr [ file ]
Source                        multiqueue0:src
Source Path                   multiqueue0:src
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-191.23.fc24.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.3-300.fc23.x86_64 #1 SMP Mon
                              Oct 5 15:42:54 UTC 2015 x86_64 x86_64
Alert Count                   1
First Seen                    2017-01-16 21:28:05 CET
Last Seen                     2017-01-16 21:28:05 CET
Local ID                      9884cfc0-d37d-42cf-bad3-7d86b07d2af4

Raw Audit Messages
type=AVC msg=audit(1484598485.458:320): avc:  denied  { read } for  pid=5992 comm="multiqueue0:src" name="mmap_min_addr" dev="proc" ino=86612 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=system_u:object_r:sysctl_vm_t:s0 tclass=file permissive=0


Hash: multiqueue0:src,thumb_t,sysctl_vm_t,file,read

Version-Release number of selected component:
selinux-policy-3.13.1-191.23.fc24.noarch

Additional info:
reporter:       libreport-2.7.2
hashmarkername: setroubleshoot
kernel:         4.2.3-300.fc23.x86_64
type:           libreport

Potential duplicate: bug 1399937

Comment 1 Fedora End Of Life 2017-07-26 00:11:46 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2017-08-08 19:34:43 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.